#ifndef LOTOSTATEK_RANDOMNUMBERGENERATOR_H
#define LOTOSTATEK_RANDOMNUMBERGENERATOR_H

#include <random>

class RandomNumberGenerator {
public:
    static int getRandomNumber(int min, int max) {
        static std::random_device rd;
        static std::mt19937 gen(rd());
        static std::uniform_int_distribution<> dis(min, max);
        return dis(gen);
    }
};

#endif //LOTOSTATEK_RANDOMNUMBERGENERATOR_H
